Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class TypeSelector

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.selectors.BaseSelector
                        |
                        +--org.apache.tools.ant.types.selectors.BaseExtendSelector
                              |
                              +--org.apache.tools.ant.types.selectors.TypeSelector

All Implemented Interfaces:
  ExtendFileSelector, FileSelector, Parameterizable

public class TypeSelector
extends BaseExtendSelector

Selector that selects a certain kind of file: directory or regular.

Since:
  1.6

Nested Class Summary
`static class` | `TypeSelector.FileType` Enumerated attribute with the values for types of file

Field Summary
`static java.lang.String` | `TYPE_KEY` Key to used for parameterized custom selector

Fields inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`parameters`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TypeSelector()` Creates a new `TypeSelector` instance.

Method Summary
`boolean` | `isSelected(java.io.File basedir, java.lang.String filename, java.io.File file)` The heart of the matter.
`void` | `setParameters(Parameter[] parameters)` When using this as a custom selector, this method will be called.
`void` | `setType(TypeSelector.FileType fileTypes)` Set the type of file to require.
`java.lang.String` | `toString()`
`void` | `verifySettings()` Checks to make sure all settings are kosher.

Methods inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`getParameters`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError, validate`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_KEY

    public static final java.lang.String TYPE_KEY

  Key to used for parameterized custom selector

  See Also:
    Constant Field Values

Constructor Detail

### TypeSelector

    public TypeSelector()

  Creates a new `TypeSelector` instance.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string describing this object

### setType

    public void setType(TypeSelector.FileType fileTypes)

  Set the type of file to require.

  Parameters:
    `fileTypes` - the type of file - file or dir

### setParameters

    public void setParameters(Parameter[] parameters)

  When using this as a custom selector, this method will be called. It translates each parameter into the appropriate setXXX() call.

  Specified by:
    `setParameters` in interface `Parameterizable`
  Overrides:
    `setParameters` in class `BaseExtendSelector`
  Parameters:
    `parameters` - the complete set of parameters for this selector

### verifySettings

    public void verifySettings()

  Checks to make sure all settings are kosher. In this case, it means that the pattern attribute has been set.

  Overrides:
    `verifySettings` in class `BaseSelector`

### isSelected

    public boolean isSelected(java.io.File basedir,
                              java.lang.String filename,
                              java.io.File file)

  The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset.

  Specified by:
    `isSelected` in interface `FileSelector`
  Specified by:
    `isSelected` in class `BaseExtendSelector`
  Parameters:
    `basedir` - the base directory the scan is being done from
    `filename` - is the name of the file to check
    `file` - is a java.io.File object the selector can use
  Returns:
    whether the file should be selected or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.